Page MenuHomePhabricator

copies: rearrange all value comparison conditional
ClosedPublic

Authored by marmoute on Dec 15 2020, 4:07 AM.

Details

Summary

To properly handle the newly tested case (chaining of merges) we will need to
detect more accurately when an actualy merging of the copy information (and
superseed the two existing data). Before starting to do so, we need to
reorganise the values comparison to introduce different conditional branches
when such actual merging is needed/detected.

To avoid mixing too many change in this complicated code, we do the
reorganisation before adding the "overwrite detection" logic in the next
changesets.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 15 2020, 4:07 AM
baymax updated this revision to Diff 24375.Dec 17 2020, 4:04 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24402.Dec 18 2020, 9:12 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24409.Dec 18 2020, 9:32 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24417.Dec 18 2020, 9:54 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24455.Dec 21 2020, 3:00 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24571.Jan 5 2021, 3:38 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 24594.Jan 5 2021, 9:02 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

Alphare accepted this revision.Jan 8 2021, 5:45 AM
Alphare added a subscriber: Alphare.

Balancing both algorithms in my head is not easy, but this looks fine, of course as long as the next patch does something more useful. :P
Your commit message may be missing a word or two, if you want to take a look at it.

Balancing both algorithms in my head is not easy, but this looks fine, of course as long as the next patch does something more useful. :P
Your commit message may be missing a word or two, if you want to take a look at it.

I did an extra pass on the commit message.

baymax edited the summary of this revision. (Show Details)Jan 8 2021, 10:25 AM
baymax updated this revision to Diff 24635.

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 25738.Feb 22 2021, 10:27 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 25777.Feb 22 2021, 2:45 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.